%define realname   Coro
#define _without_check 1

Name:		perl-%{realname}
Version:    4.37
Release:    %mkrel 1
Epoch: 2
License:	GPL or Artistic
Group:		Development/Perl
Summary:    Coroutine process abstraction
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Coro/Coro-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:  perl-IO-AIO
BuildRequires:  perl-AnyEvent >= 1:2.8
#gw the test EV/t/01_unblock fails
#BuildRequires:  perl-EV >= 2.0
#gw this is only needed for make test
%{!?_without_check:BuildRequires:  perl-AnyEvent-Coro}
%define _requires_exceptions perl(Exporter::)\\|perl(Coro::Socket::)

%description
This module collection manages coroutines. Coroutines are similar to
threads but don't run in parallel.


%package BDB
Summary: Truly asynchronous bdb access
Group: Development/Perl

%description BDB
This module implements a thin wrapper around the BDB module.

Each BDB request that could block and doesn't get passed a callback
will normally block all coroutines. after loading this module, this
will no longer be the case.

%prep
%setup -q -n Coro-%{version} 

%build
echo -e  "n\nu\n" | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{!?_without_check:make test}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.linux-glibc README Changes
%dir %{perl_vendorarch}/Coro
%{perl_vendorarch}/Coro/AIO.pm
%{perl_vendorarch}/Coro/Channel.pm
%{perl_vendorarch}/Coro/CoroAPI.h
%{perl_vendorarch}/Coro/Debug.pm
%{perl_vendorarch}/Coro/Event.pm
%{perl_vendorarch}/Coro/Handle.pm
%{perl_vendorarch}/Coro/LWP.pm
%{perl_vendorarch}/Coro/MakeMaker.pm
%{perl_vendorarch}/Coro/RWLock.pm
%{perl_vendorarch}/Coro/Select.pm
%{perl_vendorarch}/Coro/Semaphore.pm
%{perl_vendorarch}/Coro/SemaphoreSet.pm
%{perl_vendorarch}/Coro/Signal.pm
%{perl_vendorarch}/Coro/Socket.pm
%{perl_vendorarch}/Coro/Specific.pm
%{perl_vendorarch}/Coro/State.pm
%{perl_vendorarch}/Coro/Storable.pm
%{perl_vendorarch}/Coro/Timer.pm
%{perl_vendorarch}/Coro/Util.pm
%{perl_vendorarch}/Coro.pm
%{perl_vendorarch}/auto
%_mandir/man3/Coro.3pm.lzma
%_mandir/man3/Coro::AIO.3pm.lzma
%_mandir/man3/Coro::Channel.3pm.lzma
%_mandir/man3/Coro::Debug.3pm.lzma
%_mandir/man3/Coro::Event.3pm.lzma
%_mandir/man3/Coro::Handle.3pm.lzma
%_mandir/man3/Coro::LWP.3pm.lzma
%_mandir/man3/Coro::MakeMaker.3pm.lzma
%_mandir/man3/Coro::RWLock.3pm.lzma
%_mandir/man3/Coro::Select.3pm.lzma
%_mandir/man3/Coro::Semaphore.3pm.lzma
%_mandir/man3/Coro::SemaphoreSet.3pm.lzma
%_mandir/man3/Coro::Signal.3pm.lzma
%_mandir/man3/Coro::Socket.3pm.lzma
%_mandir/man3/Coro::Specific.3pm.lzma
%_mandir/man3/Coro::State.3pm.lzma
%_mandir/man3/Coro::Storable.3pm.lzma
%_mandir/man3/Coro::Timer.3pm.lzma
%_mandir/man3/Coro::Util.3pm.lzma

%files BDB
%defattr(-,root,root)
%{perl_vendorarch}/Coro/BDB.pm
%{_mandir}/man3/Coro::BDB*


%changelog
* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 4.37-1mdv2008.1
+ Revision: 155570
- new version
- reenable checks

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 2:4.36-2mdv2008.1
+ Revision: 153984
- disable check for bootstrapping

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2:4.36-1mdv2008.1
+ Revision: 151119
- new version

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2:4.34-1mdv2008.1
+ Revision: 137993
- update to new version 4.34

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 2:4.33-2mdv2008.1
+ Revision: 133738
- split out Coro::BDB module

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2:4.33-1mdv2008.1
+ Revision: 132036
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 2:4.31-1mdv2008.1
+ Revision: 115832
- new version

* Mon Dec 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2:4.22-1mdv2008.1
+ Revision: 114489
- update to new version 4.22
- update to new version 4.22

* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 2:4.21-1mdv2008.1
+ Revision: 112121
- new version
- bump dep

* Tue Oct 30 2007 Götz Waschk <waschk@mandriva.org> 2:4.13-1mdv2008.1
+ Revision: 103743
- new version

* Fri Oct 12 2007 Götz Waschk <waschk@mandriva.org> 2:4.11-1mdv2008.1
+ Revision: 97274
- new version

* Sun Oct 07 2007 Götz Waschk <waschk@mandriva.org> 2:4.03-1mdv2008.1
+ Revision: 95677
- new version

* Fri May 18 2007 Götz Waschk <waschk@mandriva.org> 2:3.63-1mdv2008.0
+ Revision: 28296
- new version

* Sat Apr 28 2007 Götz Waschk <waschk@mandriva.org> 2:3.62-1mdv2008.0
+ Revision: 18927
- new version

* Fri Apr 20 2007 Götz Waschk <waschk@mandriva.org> 2:3.61-1mdv2008.0
+ Revision: 16010
- new version


* Wed Mar 28 2007 Götz Waschk <waschk@mandriva.org> 3.55-1mdv2007.1
+ Revision: 149088
- new version

* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 2:3.51-1mdv2007.1
+ Revision: 133462
- new version

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 2:3.5-1mdv2007.1
+ Revision: 127050
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 1:3.41-1mdv2007.1
+ Revision: 112296
- new version

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 1:3.4-1mdv2007.1
+ Revision: 111288
- new version

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 1:3.3-1mdv2007.1
+ Revision: 105201
- new version

* Thu Jan 04 2007 Götz Waschk <waschk@mandriva.org> 1:3.2-1mdv2007.1
+ Revision: 104044
- new version
- fix configuration
- reenable checks

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 3.11-1mdv2007.1
+ Revision: 91719
- Import perl-Coro

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 3.11-1mdv2007.1
- disable check for bootstrapping
- fix build
- New version 3.11

* Tue May 16 2006 Götz Waschk <waschk@mandriva.org> 1.9-2mdk
- fix deps

* Wed May 10 2006 Götz Waschk <waschk@mandriva.org> 1.9-1mdk
- First Mandriva package

